Bug 1852145

Summary: libyui-bindings-1.1.2-23.fc33 FTBFS: error: File not found: /builddir/build/BUILDROOT/libyui-bindings-1.1.2-23.fc33.x86_64/usr/lib64/ruby/vendor_ruby/_yui.*
Product: [Fedora] Fedora Reporter: Igor Raits <igor.raits>
Component: libyui-bindingsAssignee: Neal Gompa <ngompa13>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: besser82, mailinglists, makowski.fedora, ngompa13, ppisar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=46005684
Whiteboard:
Fixed In Version: libyui-bindings-2.0.2-1.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-01 21:07:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1803234, 1803235    

Description Igor Raits 2020-06-29 20:16:13 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (ignatenkobrain@fedoraproject.org).

Your package (libyui-bindings) Fails To Install in Fedora 33:

can't install perl-yui:
  - nothing provides perl(:MODULE_COMPAT_5.30.2) needed by perl-yui-1.1.2-22.fc33.x86_64
  - nothing provides libperl.so.5.30()(64bit) needed by perl-yui-1.1.2-22.fc33.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Petr Pisar 2020-06-30 12:20:09 UTC
This package fails to build in Fedora 33:

Processing files: ruby-yui-1.1.2-23.fc33.x86_64
error: File not found: /builddir/build/BUILDROOT/libyui-bindings-1.1.2-23.fc33.x86_64/usr/lib64/ruby/vendor_ruby/_yui.*
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.rDv4wM
+ umask 022
+ cd /builddir/build/BUILD
+ cd libyui-bindings-1.1.2
+ DOCDIR=/builddir/build/BUILDROOT/libyui-bindings-1.1.2-23.fc33.x86_64/usr/share/doc/ruby-yui
+ export LC_ALL=C
+ LC_ALL=C
+ export DOCDIR
+ /usr/bin/mkdir -p /builddir/build/BUILDROOT/libyui-bindings-1.1.2-23.fc33.x86_64/usr/share/doc/ruby-yui
+ cp -pr package/libyui-bindings.changes /builddir/build/BUILDROOT/libyui-bindings-1.1.2-23.fc33.x86_64/usr/share/doc/ruby-yui
+ cp -pr README.md /builddir/build/BUILDROOT/libyui-bindings-1.1.2-23.fc33.x86_64/usr/share/doc/ruby-yui
+ cp -pr swig/ruby/examples /builddir/build/BUILDROOT/libyui-bindings-1.1.2-23.fc33.x86_64/usr/share/doc/ruby-yui
+ RPM_EC=0
++ jobs -p
+ exit 0
Executing(%license): /bin/sh -e /var/tmp/rpm-tmp.YlEvVM
+ umask 022
+ cd /builddir/build/BUILD
+ cd libyui-bindings-1.1.2
+ LICENSEDIR=/builddir/build/BUILDROOT/libyui-bindings-1.1.2-23.fc33.x86_64/usr/share/licenses/ruby-yui
+ export LC_ALL=C
+ LC_ALL=C
+ export LICENSEDIR
+ /usr/bin/mkdir -p /builddir/build/BUILDROOT/libyui-bindings-1.1.2-23.fc33.x86_64/usr/share/licenses/ruby-yui
+ cp -pr COPYING.lgpl-2.1 COPYING.lgpl-3 /builddir/build/BUILDROOT/libyui-bindings-1.1.2-23.fc33.x86_64/usr/share/licenses/ruby-yui
+ RPM_EC=0
++ jobs -p
+ exit 0
RPM build errors:
    extra tokens at the end of %endif directive in line 8:  %endif # arch %%{mono_arches}
    extra tokens at the end of %endif directive in line 53:  %endif # 0%%{?with_mono}
    File not found: /builddir/build/BUILDROOT/libyui-bindings-1.1.2-23.fc33.x86_64/usr/lib64/ruby/vendor_ruby/_yui.*
Child return code was: 1

Comment 2 Igor Raits 2020-07-07 05:33:24 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Neal Gompa 2020-08-01 19:28:59 UTC
This is being worked on.

Comment 4 Neal Gompa 2020-08-01 21:07:51 UTC
This is fixed with libyui-bindings-2.0.2-1.fc33 in Rawhide.